explain_execlp_or_die(3)

NAME
explain_execlp_or_die - execute a file and report errors
    "execute a file and report errors"

SYNOPSIS
#include <libexplain/execlp.h>

void explain_execlp_or_die(, ...);
int explain_execlp_on_error(, ...);

DESCRIPTION
The explain_execlp_or_die function is used to call the execlp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_execlp(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_execlp_on_error function is used to call the execlp(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_execlp(3) function, but still returns to the caller.

RETURN VALUE
The explain_execlp_or_die function only returns on success, see execlp(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_execlp_on_error function always returns the value return by the wrapped execlp(3) system call.

EXAMPLE
The explain_execlp_or_die function is intended to be used in a fashion similar to the following example:
    explain_execlp_or_die();

SEE ALSO

execlp(3)
    execute a file

explain_execlp(3)
    explain execlp(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2009 Peter Miller